Wrong resource type in hostgroup AJAX permission check
Status: Closed   

Priority: Normal   

Assignee: Sean O'Keeffe   

Category: Host creation   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1400708 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4116

  

Description

When provisioning a discovery host as a non-admin the auto populate feature after selecting a host group does not work.

Associated revisions

Revision 7892585d - 12/22/2016 08:37 AM - Sean O'Keeffe

Fixes #17683 - Wrong resource type in HG AJAX permission check

Revision d42544e5 - 01/30/2017 11:01 AM - Sean O'Keeffe

Fixes #17683 - Wrong resource type in HG AJAX permission check

(cherry picked from commit 7892585d897ad5843a285bb9ddb5100b664b03cd)

History

#1 - 12/15/2016 07:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4116 added

#2 - 12/15/2016 08:52 AM - Lukas Zapletal

- Subject changed from Auto populate feature using Host Groups does not work on reasources other and Host to Hostgroup flags are not set in

discovery provisioning for non-admin users 

Thanks I reworded this a bit.

#3 - 12/15/2016 08:56 AM - Lukas Zapletal

- Subject changed from Hostgroup flags are not set in discovery provisioning for non-admin users  to Wrong resource type in hostgroup AJAX

permission check

Note this is change needed in core, not Discovery. Let's try this.

#4 - 12/22/2016 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7892585d897ad5843a285bb9ddb5100b664b03cd.

#5 - 01/03/2017 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 210

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7892585d897ad5843a285bb9ddb5100b664b03cd
http://www.tcpdf.org

